From fcdae49b6d01f0680b64f98ffa95881636c94732 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Tue, 13 Jan 2009 10:57:48 +0530
Subject: [PATCH] Disable flax-vector-conversions

The option is not recognised by the compiler.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 netpbm.spec |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/netpbm.spec b/netpbm.spec
index d9a7611..593e38a 100644
--- a/netpbm.spec
+++ b/netpbm.spec
@@ -1,7 +1,11 @@
+%ifnarch %{arm}
+%define extracflags -flax-vector-conversions
+%endif
+
 Summary: A library for handling different graphics file formats
 Name: netpbm
 Version: 10.35.54
-Release: 1%{?dist}
+Release: 1%{?dist}.fa1
 # See copyright_summary for details
 License: BSD and GPLv2 and IJG and MIT and Public Domain
 Group: System Environment/Libraries
@@ -123,7 +127,7 @@ TOP=`pwd`
 make \
 	CC="%{__cc}" \
 	LDFLAGS="-L$TOP/pbm -L$TOP/pgm -L$TOP/pnm -L$TOP/ppm" \
-	CFLAGS="$RPM_OPT_FLAGS -fPIC -flax-vector-conversions" \
+	CFLAGS="$RPM_OPT_FLAGS -fPIC %{extracflags} " \
 	LADD="-lm" \
 	JPEGINC_DIR=%{_includedir} \
 	PNGINC_DIR=%{_includedir} \
-- 
1.5.3.3

